odf.odf2moinmoin.TextProps Class Reference

Holds properties for a text style. More...

## Public Member Functions

def | __init__ (self)
def | setItalic (self, value)
def | setBold (self, value)
def | setFixed (self, value)
def | setUnderlined (self, value)
def | setStrikethrough (self, value)
def | setPosition (self, value)
def | __str__ (self)

## Public Attributes

| italic
| bold
| fixed
| underlined
| strikethrough
| superscript
| subscript

## Detailed Description

Holds properties for a text style.

Definition at line 42 of file odf2moinmoin.py.

## Constructor & Destructor Documentation

def odf.odf2moinmoin.TextProps.__init__ | ( |  | self | ) |

Definition at line 44 of file odf2moinmoin.py.

## Member Function Documentation

def odf.odf2moinmoin.TextProps.__str__ | ( |  | self | ) |

Definition at line 98 of file odf2moinmoin.py.

def odf.odf2moinmoin.TextProps.setBold | ( |  | self,
|  |  | value
| ) |  |

Definition at line 60 of file odf2moinmoin.py.

def odf.odf2moinmoin.TextProps.setFixed | ( |  | self,
|  |  | value
| ) |  |

Definition at line 66 of file odf2moinmoin.py.

def odf.odf2moinmoin.TextProps.setItalic | ( |  | self,
|  |  | value
| ) |  |

Definition at line 54 of file odf2moinmoin.py.

def odf.odf2moinmoin.TextProps.setPosition | ( |  | self,
|  |  | value
| ) |  |

Definition at line 77 of file odf2moinmoin.py.

def odf.odf2moinmoin.TextProps.setStrikethrough | ( |  | self,
|  |  | value
| ) |  |

Definition at line 73 of file odf2moinmoin.py.

def odf.odf2moinmoin.TextProps.setUnderlined | ( |  | self,
|  |  | value
| ) |  |

Definition at line 69 of file odf2moinmoin.py.

## Member Data Documentation

odf.odf2moinmoin.TextProps.bold

Definition at line 47 of file odf2moinmoin.py.

odf.odf2moinmoin.TextProps.fixed

Definition at line 48 of file odf2moinmoin.py.

odf.odf2moinmoin.TextProps.italic

Definition at line 46 of file odf2moinmoin.py.

odf.odf2moinmoin.TextProps.strikethrough

Definition at line 50 of file odf2moinmoin.py.

odf.odf2moinmoin.TextProps.subscript

Definition at line 52 of file odf2moinmoin.py.

odf.odf2moinmoin.TextProps.superscript

Definition at line 51 of file odf2moinmoin.py.

odf.odf2moinmoin.TextProps.underlined

Definition at line 49 of file odf2moinmoin.py.

The documentation for this class was generated from the following file:

- odf/odf2moinmoin.py